#
# $Copyright: Copyright (c) 2016 Veritas Technologies LLC.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# VERITAS TECHNOLOGIES LLC.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF VERITAS TECHNOLOGIES LLC.
#
# The  Licensed  Software  and  Documentation  are  deemed  to be commercial
# computer  software  as  defined  in  FAR  12.212 and subject to restricted
# rights  as  defined in FAR Section 52.227-19 "Commercial Computer Software
# - Restricted  Rights"  and  DFARS 227.7202,  et seq.  "Commercial Computer
# Software  and  Commercial Computer Software Documentation," as applicable,
# and any successor regulations, whether delivered by Veritas as on premises
# or  hosted  services.  Any  use,  modification,  reproduction  release,
# performance,  display  or  disclosure  of  the  Licensed  Software  and
# Documentation by the U.S. Government shall be solely in accordance with
# the terms of this Agreement. $
# $Revision$
# $Source$
#
#!/bin/sh

add_fun(){
result="`$@ 2>&1`"
if [ $? -eq 1 ]; then
	if [ `echo "$result" | grep -c "already exist"` -eq 1 ]; then
		:	
	else
		echo "$@";
	fi
fi
}

VCSHOME="${VCS_HOME:-/opt/VRTSvcs}"
ro=`${VCSHOME}/bin/haclus -value ReadOnly`
if [ $? -eq 0 ]; then
	if [ "$ro" -eq 1 ]; then
		${VCSHOME}/bin/haconf -makerw
	fi
else
	echo "Unable to add the RemoteCopy type. VCS Engine is not running. Start VCS Engine and execute the script /etc/VRTSvcs/conf/sample_remotecopy/addRemoteCopyAgent.sh."
	exit 0;
fi
add_fun "${VCSHOME}/bin/hatype -add RemoteCopy"
${VCSHOME}/bin/hatype -modify RemoteCopy ArgList StorageServer UserName GroupName SSHBinary SSHPathToIDFile AutoTakeover SwapRoles ForceSync ComputeDRSLA CLIBinary PasswordFile
${VCSHOME}/bin/hatype -modify RemoteCopy SourceFile "./RemoteCopyTypes.cf"
${VCSHOME}/bin/hatype -modify RemoteCopy SupportedActions PreSwitch recover revert restore startrcopygroup syncrcopy ReportRPOData StartWriter GetCurrentRPO StartRPOComputation StopRPOComputation getremoteinfo
add_fun "${VCSHOME}/bin/haattr -add RemoteCopy StorageServer -string"
add_fun "${VCSHOME}/bin/haattr -add RemoteCopy UserName -string"
add_fun "${VCSHOME}/bin/haattr -add RemoteCopy PasswordFile -string"
add_fun "${VCSHOME}/bin/haattr -add RemoteCopy GroupName -string"
add_fun "${VCSHOME}/bin/haattr -add RemoteCopy CLIBinary -string"
add_fun "${VCSHOME}/bin/haattr -add RemoteCopy SSHBinary -string /usr/bin/ssh"
add_fun "${VCSHOME}/bin/haattr -add RemoteCopy SSHPathToIDFile -string"
add_fun "${VCSHOME}/bin/haattr -add RemoteCopy AutoTakeover -integer 0"
add_fun "${VCSHOME}/bin/haattr -add RemoteCopy SwapRoles -integer 0"
add_fun "${VCSHOME}/bin/haattr -add RemoteCopy ForceSync -integer 0"
add_fun "${VCSHOME}/bin/haattr -add RemoteCopy ComputeDRSLA -integer 0"
add_fun "${VCSHOME}/bin/haattr -add -temp RemoteCopy Tagging -boolean"
add_fun "${VCSHOME}/bin/haattr -add -static RemoteCopy RegList -keylist"
add_fun "${VCSHOME}/bin/haattr -add -temp RemoteCopy VCSResLock -string"
add_fun "${VCSHOME}/bin/haattr -add -temp RemoteCopy CurrentRPO -string"
add_fun "${VCSHOME}/bin/hatype -modify RemoteCopy RegList ComputeDRSLA"

if [ "$ro" -eq 1 ];
then
        ${VCSHOME}/bin/haconf -dump -makero
else
        ${VCSHOME}/bin/haconf -dump
fi

